<?php

 // Class for the configuration of the plugin

class class_MRWP_conf {

// Get default attributes for the plugin
    public static function get_champs_mondialrelay() {
        $champs = array(
            'mondialrelay_code_client' => class_MRWP_main::ENSEIGNE,
            'mondialrelay_code_marque' => class_MRWP_main::CODE_MARQUE,
            'mondialrelay_cle_privee' => class_MRWP_main::CLE_PRIVEE,
            'mondialrelay_assurance' => class_MRWP_main::ASSURANCE,
            'mondialrelay_nb_results' => class_MRWP_main::NB_RESULTS,
            'mondialrelay_vendeur_adresse1' => '',
            'mondialrelay_vendeur_adresse2' => '',
            'mondialrelay_vendeur_adresse3' => '',
            'mondialrelay_vendeur_adresse4' => '',
            'mondialrelay_vendeur_cp' => '',
            'mondialrelay_vendeur_ville' => '',
            'mondialrelay_vendeur_pays' => '',
            'mondialrelay_vendeur_tel' => '',
            'mondialrelay_vendeur_tel2' => '',
            'mondialrelay_vendeur_email' => '',
            'mondialrelay_ids_livraison' => '',
            'mondialrelay_state_order' => '',
            'mondialrelay_state_order_delivered' => '',
            'mondialrelay_email_send' => class_MRWP_main::SEND_EMAIL,
            'mondialrelay_email_multi_lang' => class_MRWP_main::EMAIL_MULTI_LANG,
            'mondialrelay_email_expedition_sujet' => "Votre commande n°[expedition] a été expédiée.",
            'mondialrelay_email_expedition_message' => "Bonjour [prenom] [nom],<br><br>\n\nNous vous informons que votre commande a été expédiée. Vous la recevrez sous peu, mais si vous souhaitez garder un œil dessus, vous pouvez vous rendre sur [lien] pour suivre son trajet.<br><br>\n\n L'expédition [expedition] sera livrée à l’adresse suivante : <br>[adresse]. <br><br>\n\n N\'hésitez pas à nous contacter pour toute information complémentaire.<br><br>\n\nVotre service client",
            'mondialrelay_email_expedition_sujet_es' => "Su pedido nº[expedition] ha sido enviada.",
            'mondialrelay_email_expedition_message_es' => "Buenos días [prenom] [nom],<br><br>\n\nLe informamos que su pedido ha sido enviado. Lo recibirá en breve. Si quiere conocer su progresion puede seguir el enlace [lien].<br><br>\n\n La expedición [expedition] sera entregada a la siguiente dirección: <br>[adresse]. <br><br>\n\n No dude en contactarnos para cualquiera información complementaria.<br><br>\n\nSu dept. Atención al Cliente",
            'mondialrelay_email_expedition_sujet_nl' => "Uw bestelling met nummer [expedition] is verzonden.",
            'mondialrelay_email_expedition_message_nl' => "Goeiendag [prenom] [nom],<br><br>\n\nHierbij laten we u weten dat uw bestelling verzonden is. U ontvangt deze binnenkort. Als u de verzending wilt volgen, dan kunt u via deze [lien] het traject volgen.<br><br>\n\n De verzending [expedition] wordt afgeleverd op het volgende adres: <br>[adresse]. <br><br>\n\n Neem gerust contact met ons op voor verdere informatie.<br><br>\n\nUw klantendienst",
            'mondialrelay_email_expedition_sujet_en' => "Your order number [expedition] has been shipped.",
            'mondialrelay_email_expedition_message_en' => "Hello [prenom] [nom],<br><br>\n\nWe inform you that your order has been shipped. You will receive it shortly, but if you want to keep an eye on it, you can go to [lien] to follow its progress. <br><br>\n\n The shipment [expedition] will be delivered to the following address: <br> [adresse]. <br><br>\n\n Do not hesitate to contact us for any further information.<br><br>\n\nYour customer service",
            'mondialrelay_debug' => '0',
            'mondialrelay_jquery' => '0',
            'mondialrelay_poids' => '0',
            'mondialrelay_menu_position' => class_MRWP_main::MENU_POSITION,
            'mondialrelay_woocommerce_folder' => class_MRWP_main::WOOCOMMERCE_FOLDER,
        );
        return $champs;
    }


// Get attributes for Mondial Relay plugin's configuration
    public static function get_champs_compte_mondialrelay() {
        $champs = array(
            'mondialrelay_code_client',
            'mondialrelay_code_marque',
            'mondialrelay_cle_privee',
            'mondialrelay_assurance'
        );
        return $champs;
    }

// Get attributes for Mondial Relay plugin's Point Relais®
    public static function get_champs_points() {
        $champs = array(
            'mondialrelay_nb_results',
        );
        return $champs;
    }

// Get attributes for Mondial Relay plugin's vendor
    public static function get_champs_vendeur() {
        $champs = array(
            'mondialrelay_vendeur_adresse1',
            'mondialrelay_vendeur_adresse2',
            'mondialrelay_vendeur_adresse3',
            'mondialrelay_vendeur_adresse4',
            'mondialrelay_vendeur_cp',
            'mondialrelay_vendeur_ville',
            'mondialrelay_vendeur_pays',
            'mondialrelay_vendeur_tel',
            'mondialrelay_vendeur_tel2',
            'mondialrelay_vendeur_email'
        );
        return $champs;
    }

// Get attributes for Mondial Relay plugin's configuration
    public static function get_champs_configuration() {
        $champs = array(
            'mondialrelay_ids_livraison',
            'mondialrelay_state_order',
            'mondialrelay_state_order_delivered',
        );
        return $champs;
    }

// Get attributes for Mondial Relay plugin's email
    public static function get_champs_email($old = null) {
        if ($old) {
            $champs = array(
                'mondialrelay_email_send' => $old['mondialrelay_email_send'],
                'mondialrelay_email_multi_lang' => $old['mondialrelay_email_multi_lang'],
                'mondialrelay_email_expedition_sujet' => $old['mondialrelay_email_expedition_sujet'],
                'mondialrelay_email_expedition_message' => $old['mondialrelay_email_expedition_message'],
                'mondialrelay_email_expedition_sujet_es' => $old['mondialrelay_email_expedition_sujet_es'],
                'mondialrelay_email_expedition_message_es' => $old['mondialrelay_email_expedition_message_es'],
                'mondialrelay_email_expedition_sujet_nl' => $old['mondialrelay_email_expedition_sujet_nl'],
                'mondialrelay_email_expedition_message_nl' => $old['mondialrelay_email_expedition_message_nl'],
                'mondialrelay_email_expedition_sujet_en' => $old['mondialrelay_email_expedition_sujet_en'],
                'mondialrelay_email_expedition_message_en' => $old['mondialrelay_email_expedition_message_en']
            );
        }
        else {
            $champs = array(
                'mondialrelay_email_send',
                'mondialrelay_email_multi_lang',
                'mondialrelay_email_expedition_sujet',
                'mondialrelay_email_expedition_message',
                'mondialrelay_email_expedition_sujet_es',
                'mondialrelay_email_expedition_message_es',
                'mondialrelay_email_expedition_sujet_nl',
                'mondialrelay_email_expedition_message_nl',
                'mondialrelay_email_expedition_sujet_en',
                'mondialrelay_email_expedition_message_en'
            );
        }
        return $champs;
    }

// Get other attributes for Mondial Relay plugin
    public static function get_champs_autres() {
        $champs = array(
            'mondialrelay_debug',
            'mondialrelay_jquery',
            'mondialrelay_poids',
            'mondialrelay_menu_position',
            'mondialrelay_woocommerce_folder'
        );
        return $champs;
    }

// Update default Mondial Relay content
    public static function default_mondialrelay() {
        $champs = get_champs_mondialrelay();
        return class_MRWP_db::update_options_champs($champs);
    }

// Update default Point Relais® content
    public static function default_points() {
        $champs = array(
            'mondialrelay_ids_livraison' => '',
            'mondialrelay_nb_results'    => class_MRWP_main::NB_RESULTS,
        );

        return class_MRWP_db::update_options_champs($champs);
    }

// Update default Mondial Relay account content
    public static function default_configuration() {
        $champs = array(
            'mondialrelay_code_client' => class_MRWP_main::ENSEIGNE,
            'mondialrelay_code_marque' => class_MRWP_main::CODE_MARQUE,
            'mondialrelay_cle_privee' => class_MRWP_main::CLE_PRIVEE,
            'mondialrelay_assurance' => class_MRWP_main::ASSURANCE
        );
        return class_MRWP_db::update_options_champs($champs);
    }

// Update default email content
    public static function default_email() {
        $champs = array(
            'mondialrelay_email_send' => class_MRWP_main::SEND_EMAIL,
            'mondialrelay_email_multi_lang' => class_MRWP_main::EMAIL_MULTI_LANG,
            'mondialrelay_email_expedition_sujet' => "Votre commande n°[expedition] a été expédiée.",
            'mondialrelay_email_expedition_message' => "Bonjour [prenom] [nom],<br><br>\n\nNous vous informons que votre commande a été expédiée. Vous la recevrez sous peu, mais si vous souhaitez garder un œil dessus, vous pouvez vous rendre sur [lien] pour suivre son trajet.<br><br>\n\n L'expédition [expedition] sera livrée à l’adresse suivante : <br>[adresse]. <br><br>\n\n N\'hésitez pas à nous contacter pour toute information complémentaire.<br><br>\n\nVotre service client",
            'mondialrelay_email_expedition_sujet_es' => "Su pedido nº[expedition] ha sido enviada.",
            'mondialrelay_email_expedition_message_es' => "Buenos días [prenom] [nom],<br><br>\n\nLe informamos que su pedido ha sido enviado. Lo recibirá en breve. Si quiere hacer su seguimiento puede seguir el enlace [lien].<br><br>\n\n La expedición [expedition] sera entregada a la siguiente dirección: <br>[adresse]. <br><br>\n\n No dude en contactarnos para cualquiera información complementaria.<br><br>\n\nSu dept. Atención al Cliente",
            'mondialrelay_email_expedition_sujet_nl' => "Uw bestelling met nummer [expedition] is verzonden.",
            'mondialrelay_email_expedition_message_nl' => "Goeiendag [prenom] [nom],<br><br>\n\nHierbij laten we u weten dat uw bestelling verzonden is. U ontvangt deze binnenkort. Als u de verzending wilt volgen, dan kunt u via deze [lien] het traject volgen.<br><br>\n\n De verzending [expedition] wordt afgeleverd op het volgende adres: <br>[adresse]. <br><br>\n\n Neem gerust contact met ons op voor verdere informatie.<br><br>\n\nUw klantendienst",
            'mondialrelay_email_expedition_sujet_en' => "Your order number [expedition] has been shipped.",
            'mondialrelay_email_expedition_message_en' => "Hello [prenom] [nom],<br><br>\n\nWe inform you that your order has been shipped. You will receive it shortly, but if you want to keep an eye on it, you can go to [lien] to follow its progress. <br><br>\n\n The shipment [expedition] will be delivered to the following address: <br> [adresse]. <br><br>\n\n Do not hesitate to contact us for any further information.<br><br>\n\nYour customer service"
        );
        return class_MRWP_db::update_options_champs($champs);
    }

// Get email shortcodes
    public static function get_shortcodes_email($order_id) {
        $shortcodes = array(
            'pays' => '',
            'lien' => '',
            'expedition' => '',
            'prenom' => '',
            'nom' => '',
            'adresse' => ''
        );
        $champs = array(
            'pays' => '_shipping_country',
            'expedition' => 'ExpeditionNum',
            'prenom' => '_shipping_first_name',
            'nom' => '_shipping_last_name',
            'pointrelais' => '_shipping_company',
            'adresse1' => '_shipping_address_1',
            'adresse2' => '_shipping_address_2',
            'cp' => '_shipping_postcode',
            'ville' => '_shipping_city'
        );
        foreach ($champs as $champ => $valeur) {
            $shortcodes[$champ] = class_MRWP_db::get_meta_champ($order_id, $valeur);
        }
        return $shortcodes;
    }

// Get order meta
    public static function get_order_meta() {
        $champs = array(
            '_shipping_last_name' => '',
            '_shipping_first_name' => '',
            '_shipping_company' => '',
            '_shipping_address_1' => '',
            '_shipping_address_2' => '',
            '_shipping_city' => '',
            '_shipping_postcode' => '',
            '_shipping_country' => ''
        );
        return $champs;
    }

// Search if a shipping method is actived for Mondial Relay
    public static function is_active_shipping_method($shipping_id, $shipping_methods) {
        if (is_array($shipping_methods)) {
            foreach ($shipping_methods as $shipping_method) {
                if ($shipping_method == $shipping_id) {
                    return true;
                }
            }
        }
        return false;
    }

}
